/*
 Theme Name:   NJX Shanghai
 Theme URI:    http://demo.goodlayers.com/infinite
 Description:  Goodlayers Infinite Child Theme
 Author URI:   http://facefirstcreative.com
 Template:     infinite
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, right-sidebar, responsive-layout
 Text Domain:  njx

*/

/* ----------------------------------------------------
  Variables
------------------------------------------------------- */


:root {
  --color-body:          #282828;
  --color-primary:       #ff9e78;
  --color-secondary:     #1b1a3e;
  --color-secondary-01:  #544e71;
  --color-secondary-02:  #837ca4;
  --color-secondary-03:  #121221;
  --color-tertiary:      #ffd580;
}

/* ----------------------------------------------------
  TranslatePress
------------------------------------------------------- */

.translatepress-zh_CN .infinite-page-wrapper .infinite-content-container {
  display: none;
}

/* ----------------------------------------------------
  Typo
------------------------------------------------------- */

.infinite-body h1,
.infinite-body h2,
.infinite-body h3,
.infinite-body h4,
.infinite-body h5,
.infinite-body h6,
.infinite-body h1.infinite-page-title,
.infinite-blog-title-wrap h1.infinite-single-article-title,
.infinite-body h1.page-header {
  /* font-family: "space-grotesk-light", sans-serif;
  font-variation-settings: "wght" 300; */
}

.infinite-body h2,
.infinite-body h3,
.infinite-body h4,
.infinite-body h5,
.infinite-body h6 {
  /* font-variation-settings: "wght" 700; */
  line-height: 1.1;
}

.gdlr-core-body .gdlr-core-button,
.infinite-body .rs-layer.rev-btn,
.gdlr-core-image-overlay.gdlr-core-gallery-image-overlay .gdlr-core-image-overlay-title,
#footer-signup .frm_style_formidable-style.with_frm_style .frm_button_submit,
.explore-title,
.button-secondary,
.button-alt-gradient-dk,
.infinite-body .gdlr-core-info-font.gdlr-core-title-item-caption,
.infinite-body .tb-button__link {
  /* font-family: "space-grotesk-light", sans-serif;
  font-variation-settings: "wght" 700; */
}

.infinite-body h1 {
  font-size: clamp(50px, 5.4vw, 78px);
  line-height: 1;
}

.infinite-body h2 {
  font-size: clamp(39px, 5vw, 68px);
  line-height: 1;
}

p.subhead {
  font-family: 'Outfit';
  font-weight: 400;
  font-size: 25px;
  line-height: 1.4;
}

h4.title-w-caption {
  margin-bottom: .3em;
}

/* ----------------------------------------------------
  Misc. Typo elements
------------------------------------------------------- */

.num-highlight {
  font-size: 70px;
  font-weight: 800;
  line-height: 1;
  margin-bottom: 0.3em;
}

.small-num-marker {
  color: var(--color-primary);
  font-size: 24px;
}

p.subhead {
  font-family: 'Outfit';
  font-weight: 400;
  font-size: 26px;
  line-height: 1.2;
}

.caption-tag,
.gdlr-core-title-item-caption {
  font-size: 11px!important;
  margin-top: .6em!important;
  color: #555555!important;
  text-transform: uppercase!important;
}

/* ----------------------------------------------------
  Header
------------------------------------------------------- */

header.infinite-fixed-navigation,
.infinite-mobile-header-wrap {
  border-bottom: 1px solid var(--color-secondary-01);
}

/* ----------------------------------------------------
  Heroes
------------------------------------------------------- */

.hero-title {
  
}

.hero-copy {
  
}

/* ----------------------------------------------------
  Home Hero
------------------------------------------------------- */

.page-id-2039 header {
  border-bottom: none!important;
}

.page-id-2039 header.infinite-fixed-navigation {
  border-bottom: solid!important;
  border-bottom-width: 1px!important;
}

#home-hero .gdlr-core-pbf-background {
  background-color: #161423;
}

#home-hero .gdlr-core-pbf-background-video {
  opacity: .22;
}

#home-hero-title {
  font-size: clamp(60px, 8.5vw, 100px);
  font-weight: 400;
  line-height: .92;
  letter-spacing: -.02em;
}

#home-hero-title .home-hero-title-highlight {
  display: inline-block;
  font-weight: 800;
  color: #fffb71;
}

#home-hero-copy {
  max-width: 460px;
  font-size: 20px;
}

/* ----------------------------------------------------
  Highlight blocks
------------------------------------------------------- */

.gdlr-core-pbf-column-content-margin.highlight-block {
  border: 1px solid var(--color-secondary-01);
  margin-right: -1px;
  margin-bottom: -1px;
  padding: 30px 10px 0px!important;
  transition: background-color .2s;
}

.gdlr-core-pbf-column:hover .gdlr-core-pbf-column-content-margin.highlight-block {
  z-index: 10;
  border: 1px solid var(--color-secondary-02)!important;
  background-color: rgba(255,255,255,.05);
}

.section-dk-main .gdlr-core-pbf-column-content-margin.highlight-block {
  background-color: var(--color-secondary);
}

.section-dk-main .gdlr-core-pbf-column-content-margin.highlight-block .small-num-marker {
  line-height: 1;
  margin-bottom: .5em;
  font-size: 0.9em;
}

.section-dk-main .gdlr-core-pbf-column-content-margin .caption-tag {
  color: var(--color-secondary-02)!important;
  margin-bottom: 1.2em;
}

/* ---- Audience page overrides -------------------------*/

.audience-page-section .gdlr-core-pbf-column-content-margin.highlight-block {
  padding: 35px 15px 0px!important;
}

.audience-page-section.section-dk-main .gdlr-core-pbf-column-content-margin .caption-tag {
  font-size: .9em!important;
  margin-bottom: 0!important;
}

@media ( max-width: 767px ) {
  
  .audience-page-section .gdlr-core-pbf-column-content-margin.highlight-block {
    padding: 25px 5px 0px!important;
  }
  
  .audience-page-section.section-dk-main .gdlr-core-pbf-column-content-margin .caption-tag {
    font-size: .8em!important;
  }
}

/* ----------------------------------------------------
  Audience pages
------------------------------------------------------- */

.gdlr-core-custom-menu-item.gdlr-core-style-2 ul {
  background-color: var(--color-secondary-03);
  display: inline-block;
  padding: 0 8px;
  margin-bottom: 30px;
}

.gdlr-core-custom-menu-item.gdlr-core-style-2 ul li {
  display: inline-block;
  text-transform: uppercase;
  font-size: 0.8em;
  padding: 6px;
  margin-bottom: 0;
}

.gdlr-core-custom-menu-item.gdlr-core-style-2 ul li::before {
  content: '';
  margin: 0;
}

.gdlr-core-custom-menu-item.gdlr-core-style-2 ul li a {
  color: var(--color-secondary-02);
}

.gdlr-core-custom-menu-item.gdlr-core-style-2 ul li a:hover,
.gdlr-core-custom-menu-item.gdlr-core-style-2 ul li.current_page_item a {
  color: #fff;
}

@media ( max-width: 767px ) {
  
  .gdlr-core-custom-menu-item.gdlr-core-style-2 ul {
    margin-bottom: 0px;
  }
}

/* ----------------------------------------------------
  Misc. embellishments
------------------------------------------------------- */


/* ----------------------------------------------------
  Misc.
------------------------------------------------------- */

/* .gdlr-core-pbf-wrapper.hide */
.hide {
  display: none;
}

.infinite-body .section-home-date h2 {
  font-variation-settings: "wght" 700;
}

.section-home-date .pipe {
  color: #fff;
  margin: 0 10px;
}
